#! /usr/bin/env python2
# -*- coding: utf-8 -*-
"""
Replacement (unofficial) `setup.py` for the `project_mrp` module.
Automatically generated by `openerpdist`. See http://noteed.com/openerpdist/.
"""

import setuptools

setuptools.setup(
    name = "openerp-project-mrp",
    version = "7.0.355",
    description = "Create Tasks on SO",
    long_description = 
"""

Automatically creates project tasks from procurement lines.
===========================================================

This module will automatically create a new task for each procurement order line
(e.g. for sale order lines), if the corresponding product meets the following
characteristics:

    * Product Type = Service
    * Procurement Method (Order fulfillment) = MTO (Make to Order)
    * Supply/Procurement Method = Manufacture

If on top of that a projet is specified on the product form (in the Procurement
tab), then the new task will be created in that specific project. Otherwise, the
new task will not belong to any project, and may be added to a project manually
later.

When the project task is completed or cancelled, the workflow of the corresponding
procurement line is updated accordingly. For example, if this procurement corresponds
to a sale order line, the sale order line will be considered delivered when the
task is completed.
""",
    url = "http://www.openerp.com",
    author = "OpenERP SA",
    author_email = "TODO",
    classifiers = [
        "Development Status :: 5 - Production/Stable",
        "Environment :: Plugins",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: GNU Affero General Public License v3",
        "Natural Language :: English",
        "Programming Language :: Python :: 2.7",
        "Programming Language :: Python :: Implementation :: CPython",
    ],
    license = "AGPL-3",
    package_dir = {
        'openerp.addons.project_mrp': ".",
    },
    packages = ["openerp.addons.project_mrp"],
    package_data = {
        'openerp.addons.project_mrp': ["i18n/*.po*","project_mrp_demo.xml","project_mrp_workflow.xml","project_mrp_view.xml","images/product.jpeg","images/task_from_SO.jpeg","i18n/id.po","i18n/hr.po","i18n/da.po","i18n/sl.po","i18n/es_MX.po","i18n/ru.po","i18n/zh_TW.po","i18n/cs.po","i18n/sq.po","i18n/fi.po","i18n/pt_BR.po","i18n/ko.po","i18n/gu.po","i18n/bg.po","i18n/es_VE.po","i18n/tlh.po","i18n/ja.po","i18n/ro.po","i18n/es_AR.po","i18n/es.po","i18n/mn.po","i18n/it.po","i18n/nl.po","i18n/sv.po","i18n/es_EC.po","i18n/uk.po","i18n/bs.po","i18n/tr.po","i18n/de.po","i18n/et.po","i18n/lt.po","i18n/hu.po","i18n/vi.po","i18n/el.po","i18n/gl.po","i18n/lv.po","i18n/mk.po","i18n/ca.po","i18n/fr.po","i18n/zh_CN.po","i18n/pl.po","i18n/nl_BE.po","i18n/nb.po","i18n/ar.po","i18n/pt.po","i18n/es_CR.po","test/project_task_procurement.yml","security/ir.model.access.csv","process/project_mrp_process.xml","project_mrp_workflow.xml","process/project_mrp_process.xml","project_mrp_view.xml","project_mrp_demo.xml"],
    },
    install_requires = ["openerp-project","openerp-procurement","openerp-sale","openerp-mrp-jit","openerp-sale-stock"],
    tests_require = ["unittest2"],
)
